The Tax Rule object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

tax_type string

Default: Sales

use_for_shopping_cart boolean

Default: true

sales_tax_template string
purchase_tax_template string
customer string
supplier string
item string
billing_city string
billing_county string
billing_state string
billing_zipcode string
billing_country string
tax_category string
customer_group string
supplier_group string
item_group string
shipping_city string
shipping_county string
shipping_state string
shipping_zipcode string
shipping_country string
from_date string
to_date string
priority integer

Default: 1

company string
The Tax Rule object
{
  "id": "tax-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tax_type": "Sales",
  "use_for_shopping_cart": true,
  "sales_tax_template": "sales_tax_template_example",
  "purchase_tax_template": "purchase_tax_template_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "item": "item_example",
  "billing_city": "billing_city_example",
  "billing_county": "billing_county_example",
  "billing_state": "billing_state_example",
  "billing_zipcode": "billing_zipcode_example",
  "billing_country": "billing_country_example",
  "tax_category": "tax_category_example",
  "customer_group": "customer_group_example",
  "supplier_group": "supplier_group_example",
  "item_group": "item_group_example",
  "shipping_city": "shipping_city_example",
  "shipping_county": "shipping_county_example",
  "shipping_state": "shipping_state_example",
  "shipping_zipcode": "shipping_zipcode_example",
  "shipping_country": "shipping_country_example",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "priority": 1,
  "company": "Example Corp"
}
GET /api/accounts/tax-rule/{id}

Retrieve a tax rule

Retrieves the details of an existing tax rule. Supply the unique tax rule ID that was returned from a previous request.

Path parameters

id string required

The identifier of the tax rule to retrieve.

Returns

Returns the tax rule object if a valid identifier was provided.

GET /api/accounts/tax-rule/{id}
curl https://api.overplane.dev/api/accounts/tax-rule/tax-rule_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "tax-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tax_type": "Sales",
  "use_for_shopping_cart": true,
  "sales_tax_template": "sales_tax_template_example",
  "purchase_tax_template": "purchase_tax_template_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "item": "item_example",
  "billing_city": "billing_city_example",
  "billing_county": "billing_county_example",
  "billing_state": "billing_state_example",
  "billing_zipcode": "billing_zipcode_example",
  "billing_country": "billing_country_example",
  "tax_category": "tax_category_example",
  "customer_group": "customer_group_example",
  "supplier_group": "supplier_group_example",
  "item_group": "item_group_example",
  "shipping_city": "shipping_city_example",
  "shipping_county": "shipping_county_example",
  "shipping_state": "shipping_state_example",
  "shipping_zipcode": "shipping_zipcode_example",
  "shipping_country": "shipping_country_example",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "priority": 1,
  "company": "Example Corp"
}
GET /api/accounts/tax-rule

List all tax rules

Returns a list of tax rules. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of tax rule objects.

GET /api/accounts/tax-rule
curl https://api.overplane.dev/api/accounts/tax-rule \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "tax-rule_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "tax_type": "Sales",
      "use_for_shopping_cart": true,
      "sales_tax_template": "sales_tax_template_example",
      "purchase_tax_template": "purchase_tax_template_example",
      "customer": "customer_example",
      "supplier": "supplier_example",
      "item": "item_example",
      "billing_city": "billing_city_example",
      "billing_county": "billing_county_example",
      "billing_state": "billing_state_example",
      "billing_zipcode": "billing_zipcode_example",
      "billing_country": "billing_country_example",
      "tax_category": "tax_category_example",
      "customer_group": "customer_group_example",
      "supplier_group": "supplier_group_example",
      "item_group": "item_group_example",
      "shipping_city": "shipping_city_example",
      "shipping_county": "shipping_county_example",
      "shipping_state": "shipping_state_example",
      "shipping_zipcode": "shipping_zipcode_example",
      "shipping_country": "shipping_country_example",
      "from_date": "2024-01-15",
      "to_date": "2024-01-15",
      "priority": 1,
      "company": "Example Corp"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/tax-rule

Create a tax rule

Creates a new tax rule object.

Body parameters

tax_type string

Default: Sales

use_for_shopping_cart boolean

Default: true

sales_tax_template string
purchase_tax_template string
customer string
supplier string
item string
billing_city string
billing_county string
billing_state string
billing_zipcode string
billing_country string
tax_category string
customer_group string
supplier_group string
item_group string
shipping_city string
shipping_county string
shipping_state string
shipping_zipcode string
shipping_country string
from_date string
to_date string
priority integer

Default: 1

company string

Returns

Returns the newly created tax rule object if the call succeeded.

POST /api/accounts/tax-rule
curl https://api.overplane.dev/api/accounts/tax-rule \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "tax-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tax_type": "Sales",
  "use_for_shopping_cart": true,
  "sales_tax_template": "sales_tax_template_example",
  "purchase_tax_template": "purchase_tax_template_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "item": "item_example",
  "billing_city": "billing_city_example",
  "billing_county": "billing_county_example",
  "billing_state": "billing_state_example",
  "billing_zipcode": "billing_zipcode_example",
  "billing_country": "billing_country_example",
  "tax_category": "tax_category_example",
  "customer_group": "customer_group_example",
  "supplier_group": "supplier_group_example",
  "item_group": "item_group_example",
  "shipping_city": "shipping_city_example",
  "shipping_county": "shipping_county_example",
  "shipping_state": "shipping_state_example",
  "shipping_zipcode": "shipping_zipcode_example",
  "shipping_country": "shipping_country_example",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "priority": 1,
  "company": "Example Corp"
}
PATCH /api/accounts/tax-rule/{id}

Update a tax rule

Updates the specified tax rule by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the tax rule to update.

Body parameters

tax_type string

Default: Sales

use_for_shopping_cart boolean

Default: true

sales_tax_template string
purchase_tax_template string
customer string
supplier string
item string
billing_city string
billing_county string
billing_state string
billing_zipcode string
billing_country string
tax_category string
customer_group string
supplier_group string
item_group string
shipping_city string
shipping_county string
shipping_state string
shipping_zipcode string
shipping_country string
from_date string
to_date string
priority integer

Default: 1

company string

Returns

Returns the updated tax rule object.

PATCH /api/accounts/tax-rule/{id}
curl https://api.overplane.dev/api/accounts/tax-rule/tax-rule_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"tax_type":"Sales","use_for_shopping_cart":true}'
Response
{
  "id": "tax-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tax_type": "Sales",
  "use_for_shopping_cart": true,
  "sales_tax_template": "sales_tax_template_example",
  "purchase_tax_template": "purchase_tax_template_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "item": "item_example",
  "billing_city": "billing_city_example",
  "billing_county": "billing_county_example",
  "billing_state": "billing_state_example",
  "billing_zipcode": "billing_zipcode_example",
  "billing_country": "billing_country_example",
  "tax_category": "tax_category_example",
  "customer_group": "customer_group_example",
  "supplier_group": "supplier_group_example",
  "item_group": "item_group_example",
  "shipping_city": "shipping_city_example",
  "shipping_county": "shipping_county_example",
  "shipping_state": "shipping_state_example",
  "shipping_zipcode": "shipping_zipcode_example",
  "shipping_country": "shipping_country_example",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "priority": 1,
  "company": "Example Corp"
}
DELETE /api/accounts/tax-rule/{id}

Delete a tax rule

Permanently deletes a tax rule. This cannot be undone.

Path parameters

id string required

The identifier of the tax rule to delete.

Returns

Returns a confirmation that the tax rule has been deleted.

DELETE /api/accounts/tax-rule/{id}
curl https://api.overplane.dev/api/accounts/tax-rule/tax-rule_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "tax-rule_abc123",
  "deleted": true
}